org.apache.activemq.artemis.api.core.management

## Class RoleInfo

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.RoleInfo

-     public final class RoleInfo
      extends Object

  Helper class to create Java Objects from the JSON serialization returned by `AddressControl.getRolesAsJSON()`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RoleInfo[]` | `from(String jsonString)` Returns an array of RoleInfo corresponding to the JSON serialization returned by `AddressControl.getRolesAsJSON()`.
    `String` | `getName()` Returns the name of the role.
    `boolean` | `isBrowse()` Returns whether this role can browse queues bound to the address.
    `boolean` | `isConsume()` Returns whether this role can consume messages from queues bound to the address.
    `boolean` | `isCreateAddress()` Returns whether this role can create addresses.
    `boolean` | `isCreateDurableQueue()` Returns whether this role can create durable queues bound to the address.
    `boolean` | `isCreateNonDurableQueue()` Returns whether this role can create non-durable queues bound to the address.
    `boolean` | `isDeleteDurableQueue()` Returns whether this role can delete durable queues bound to the address.
    `boolean` | `isDeleteNonDurableQueue()` Returns whether this role can delete non-durable queues bound to the address.
    `boolean` | `isManage()` Returns whether this role can send management messages to the address.
    `boolean` | `isSend()` Returns whether this role can send messages to the address.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public static RoleInfo[] from(String jsonString)
                                 throws Exception

      Returns an array of RoleInfo corresponding to the JSON serialization returned by `AddressControl.getRolesAsJSON()`.
      Throws:
        `Exception`

    - #### getName

          public String getName()

      Returns the name of the role.

    - #### isSend

          public boolean isSend()

      Returns whether this role can send messages to the address.

    - #### isConsume

          public boolean isConsume()

      Returns whether this role can consume messages from queues bound to the address.

    - #### isCreateDurableQueue

          public boolean isCreateDurableQueue()

      Returns whether this role can create durable queues bound to the address.

    - #### isDeleteDurableQueue

          public boolean isDeleteDurableQueue()

      Returns whether this role can delete durable queues bound to the address.

    - #### isCreateNonDurableQueue

          public boolean isCreateNonDurableQueue()

      Returns whether this role can create non-durable queues bound to the address.

    - #### isDeleteNonDurableQueue

          public boolean isDeleteNonDurableQueue()

      Returns whether this role can delete non-durable queues bound to the address.

    - #### isManage

          public boolean isManage()

      Returns whether this role can send management messages to the address.

    - #### isBrowse

          public boolean isBrowse()

      Returns whether this role can browse queues bound to the address.

    - #### isCreateAddress

          public boolean isCreateAddress()

      Returns whether this role can create addresses.

Copyright © 2018 The Apache Software Foundation. All rights reserved.